import createAxios from '@/utils/request'

// 用户名列表
export function saveLogParam() {
    return createAxios({
        url: '/system-boot/audit/saveLogParam',
        method: 'POST'
    })
}

//获取去所有区域列表
export function getAllDeptList() {
    return createAxios({
        url: '/user-boot/dept/orgTreeSelector',
        method: 'GET'
    })
}

// 获取省市区下拉框
export function areaSelect() {
    return createAxios({
        url: '/system-boot/area/areaSelect',
        method: 'POST'
    })
}

// 区域列表
export function getAreaList() {
    return createAxios({
        url: '/user-boot/dept/deptTree',
        method: 'POST'
    })
}

// 设备列表
export function getDeviceTree() {
    return createAxios({
        url: '/cs-device-boot/csLedger/deviceTree',
        method: 'POST'
    })
}
// 获取波形数据
export function analyseWave(params: string) {
    return createAxios({
        url: '/cs-harmonic-boot/event/analyseWave?eventId=' + params,
        method: 'get'
    })
}

//下载波形数据
export function downloadWave(params: string) {
    return createAxios({
        url: '/cs-harmonic-boot/event/getFileZip?eventId=' + params,
        method: 'get'
    })
}


//根据事件补召波形
export function getFileByEventId(eventId: string) {
    return createAxios({
        url: '/cs-device-boot/icd/bzFileByEventId?eventId=' + eventId,
        method: 'POST'
    })
}